#include <iostream>
#include <cmath>
#include <vector>
#define ALOT 1<<18
using namespace std;
double sum, minsum=ALOT, minlsum=ALOT, lsum;
int n, k;
struct point
 {
  double x, y;
 }points[31];

double findl(point a, point b)
 {
  return sqrt(fabs(b.x-a.x)*fabs(b.x-a.x)+fabs(b.y-a.y)*fabs(b.y-a.y));
 }
double findp(point a, point b, point c)
 {
  return findl(a, b)+findl(b, c)+findl(c, a);
 }
double finds(point a, point b, point c)
 {
  double p=findp(a, b, c);
  return sqrt(p*(p-findl(a, b))*(p-findl(b, c))*(p-findl(c, a)));
 }

double finds2(point a, point b, point c)
 {
  double p=findp(a, b, c)/2;
  return sqrt(p*(p-findl(a, b))*(p-findl(b, c))*(p-findl(c, a)));
 }

bool used[31];
int cp1, cp2, cp3;
double cache;

void form()
 {
  for(int i=1; i<=n; i++)
   for(int j=i+1; j<=n; j++)
    for(int m=j+1; m<=n; m++)
     {
      cache=finds(points[i], points[j], points[m]);
      if(cache<minlsum && (!used[i] || !used[j] || !used[m])) { minlsum=cache; cp1=i; cp2=j; cp3=m; }
     }
 }

vector <int> res[200];

bool comp_res(vector <int> a, vector <int> b)
 {
  if(a[0]<b[0]) return 1;
  if(a[0]>b[0]) return 0;
  if(a[1]<b[1]) return 1;
  if(a[1]>b[1]) return 0;
  if(a[2]<b[2]) return 1;
  return 0;
 }

int main()
 {
  cin>>n; k=n/3;
  for(int i=1; i<=n; i++) cin>>points[i].x>>points[i].y;
  for(int i=1; i<=k; i++)
   {
    form();
    used[cp1]=used[cp2]=used[cp3]=1;
    res[i].push_back(cp1); res[i].push_back(cp2); res[i].push_back(cp3);
    minlsum=ALOT;
   }
  sum=0;
  for(int i=1; i<=k; i++) { sum+=finds2(points[res[i][0]], points[res[i][1]], points[res[i][2]]); }
  cout<<sum<<endl;
  sort(res+1, res+k+1, comp_res);
  for(int i=1; i<=k; i++)
   {
    cout<<res[i][0];
    for(int j=1; j<3; j++) cout<<" "<<res[i][j];
    cout<<endl;
   }
  return 0;
 }
