#include<iostream>
#include<cstdio>
#include<cmath>
#include<vector>
#include<stack>
#include<ctime>
using namespace std;

double eps=0.0000000001;
double a[32],b[32],ans=1e30;
int tmp[16][3],res[16][3];
int n,used[32];

double dist(double x1,double y1,double x2,double y2){
       return sqrt((x1-x2)*(x1-x2)+(y1-y2)*(y1-y2));
}

double heron(double x1,double y1,double x2,double y2,double x3,double y3)
{
    double a,b,c,p;
    a=dist(x1,y1,x2,y2);
    b=dist(x1,y1,x3,y3);
    c=dist(x2,y2,x3,y3);
    p=(a+b+c)/2.0;
    return sqrt(p*(p-a)*(p-b)*(p-c));
}

int is(double x1,double y1,double x2,double y2,double x3,double y3)
{
    double a,b,c;
    a=dist(x1,y1,x2,y2);
    b=dist(x1,y1,x3,y3);
    c=dist(x2,y2,x3,y3);
    if(a+b-c>eps&&a+c-b>eps&&b+c-a>eps)return 1;
    return 0;
}

void check(double d)
{
    if(ans-d>eps)
    {
        ans=d;
        memcpy(res,tmp,sizeof(res));
    }
}

void rec(int br,double d)
{
    int i,j,g,l;
    if(br==n/3){check(d);return;}
    for(i=1;i<n-1;i++)
    {
        if(used[i]==0)
        for(j=i+1;j<n;j++)
        {
            if(used[j]==0)
            for(g=j+1;g<=n;g++)
            {
                if(used[g]==0)
                {
                    if(is(a[i],b[i],a[j],b[j],a[g],b[g]))
                    {
                        used[i]=used[j]=used[g]=1;
                        tmp[br][0]=i;
                        tmp[br][1]=j;
                        tmp[br][2]=g;
                        rec(br+1,d+heron(a[i],b[i],a[j],b[j],a[g],b[g]));
                        used[i]=used[j]=used[g]=0;
                    }
                }
            }
        }
    }
}

int main()
{
    int i,j;
    scanf("%d",&n);
    for(i=1;i<=n;i++)
     scanf("%lf%lf",&a[i],&b[i]);
    rec(0,0.00);
    printf("%lf\n",ans);
    for(i=0;i<n/3;i++)
     printf("%d %d %d\n",res[i][0],res[i][1],res[i][2]);
    return 0;
}
